#
# spec file for package rubygem-dry-container
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-dry-container
Version:        0.11.0
Release:        1.9
%define mod_name dry-container
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.7.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://dry-rb.org/gems/dry-container
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A simple, configurable object container implemented in Ruby
License:        MIT
Group:          Development/Languages/Ruby

%description
A simple, configurable object container implemented in Ruby.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Mon Oct 10 2022 Stephan Kulow <coolo@suse.com>
  updated to version 0.11.0
  see installed CHANGELOG.md
  [#]# 0.11.0 2022-09-16
  [#]## Changed
  - dry-configurable will be used whenever it is in the $LOAD_PATH (see dry-rb/dry-system#247 for more context) (@solnic)
  [Compare v0.10.1...v0.11.0](https://github.com/dry-rb/dry-container/compare/v0.10.1...v0.11.0)
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 0.10.1
  see installed CHANGELOG.md
  [#]# 0.10.1 2022-07-29
  [#]## Changed
  - Make `DidYouMean` integration optional (via #86) (@jbourassa)
  [Compare v0.10.0...v0.10.1](https://github.com/dry-rb/dry-container/compare/v0.10.0...v0.10.1)
  [#]# 0.10.0 2022-07-10
  ⚠️ Notice that dry-container no longer depends on dry-configurable. If you happen to rely on the advanced configurable functionality, add dry-configurable as a dependency and require it **before** requiring dry-container.
  [#]## Added
  - Accept block given to `#merge` (via #83) (@timriley)
  [#]## Changed
  - [BREAKING] Replace dep on dry-configurable with a simple `Configuration` mod (see #84 for more details) (@solnic)
  - Raise KeyError for missing key, with DidYouMean integration (via #82) (@cllns)
  - Wrap FrozenError, to state that the container itself is frozen (see #74) (@cllns)
  [Compare v0.9.0...v0.10.0](https://github.com/dry-rb/dry-container/compare/v0.9.0...v0.10.0)
* Tue Feb 15 2022 Stephan Kulow <coolo@suse.com>
  updated to version 0.9.0
  see installed CHANGELOG.md
  [#]# 0.9.0 2021-09-12
  [#]## Changed
  - [internal] Upgraded to new `setting` API provided in dry-configurable 0.13.0 (@timriley in #77)
  [Compare v0.8.0...v0.9.0](https://github.com/dry-rb/dry-container/compare/v0.8.0...v0.9.0)
  [#]# 0.8.0 2021-06-06
  [#]## Changed
  - [BREAKING] Support for 2.4 and 2.5 was dropped
  [Compare v0.7.2...v0.8.0](https://github.com/dry-rb/dry-container/compare/v0.7.2...v0.8.0)
* Thu Jun 24 2021 Stephan Kulow <coolo@suse.com>
  updated to version 0.8.0
  see installed CHANGELOG.md
* Wed Jul  1 2020 Stephan Kulow <coolo@suse.com>
- initial package (version 0.7.2)
